package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.BaseDatadictionarydetail;
import java.util.List;

/**
 * 行业树表Mapper接口
 * 
 * @author ruoyi
 * @date 2020-07-07
 */
public interface BaseDatadictionarydetailMapper 
{
    /**
     * 查询行业树表
     * 
     * @param datadictionarydetailid 行业树表ID
     * @return 行业树表
     */
        BaseDatadictionarydetail selectBaseDatadictionarydetailById(String datadictionarydetailid);

    /**
     * 查询行业树表列表
     * 
     * @param baseDatadictionarydetail 行业树表
     * @return 行业树表集合
     */
    List<BaseDatadictionarydetail> selectBaseDatadictionarydetailList(BaseDatadictionarydetail baseDatadictionarydetail);

    /**
     * 新增行业树表
     * 
     * @param baseDatadictionarydetail 行业树表
     * @return 结果
     */
    int insertBaseDatadictionarydetail(BaseDatadictionarydetail baseDatadictionarydetail);

    /**
     * 修改行业树表
     * 
     * @param baseDatadictionarydetail 行业树表
     * @return 结果
     */
    int updateBaseDatadictionarydetail(BaseDatadictionarydetail baseDatadictionarydetail);

    /**
     * 删除行业树表
     * 
     * @param datadictionarydetailid 行业树表ID
     * @return 结果
     */
    int deleteBaseDatadictionarydetailById(String datadictionarydetailid);

    /**
     * 批量删除行业树表
     * 
     * @param datadictionarydetailids 需要删除的数据ID
     * @return 结果
     */
    int deleteBaseDatadictionarydetailByIds(String[] datadictionarydetailids);
}
